Page MenuHomePhabricator

rhg: simplify `FindRootError` handling
ClosedPublic

Authored by acezar on Aug 3 2020, 10:26 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 3 2020, 10:26 AM
Alphare accepted this revision.Aug 3 2020, 11:11 AM
Alphare added a subscriber: Alphare.

Typo in the title: s/simply/simplify/

I suppose a more explicit title would be welcome like "leverage From trait for error handling for cleaner logic", or something.

acezar retitled this revision from rhg: simply `FindRootError` handling to rhg: simplify `FindRootError` handling.Aug 4 2020, 4:28 AM
acezar updated this revision to Diff 22244.
indygreg accepted this revision.Aug 8 2020, 4:03 PM
This revision is now accepted and ready to land.Aug 8 2020, 4:03 PM
This revision was automatically updated to reflect the committed changes.